All systems operational
Sign in Get API Key
v2.4.1 — stable

VaultCloud REST API

The VaultCloud API gives you programmatic access to compute, storage, networking, and managed services. All requests use standard HTTP methods and return JSON responses.

Base URL https://api.vaultcloud.io/v2
Storage
GET /storage/buckets List all buckets
Query Parameters
region string Filter by region (e.g. eu-west-1)
limit integer Max results per page. Default: 20, Max: 100
Response
{
  "buckets": [
    {
      "id": "bkt_01j2k9xzp",
      "name": "my-assets",
      "region": "eu-west-1",
      "size_bytes": 1073741824,
      "public": false,
      "created_at": "2026-08-01T10:00:00Z"
    }
  ],
  "total": 1,
  "next_cursor": null
}
200 OK 401 Unauthorized
POST /storage/buckets Create a new bucket
Body Parameters
name string required Globally unique bucket name
region string required Region identifier (e.g. us-east-1)
public boolean Allow public read access. Default: false
201 Created 400 Bad Request 401 Unauthorized
DEL /storage/buckets/{bucket_id}/objects/{key} Delete an object
Path Parameters
bucket_id string required Bucket identifier
key string required Object key path (e.g. images/photo.jpg)
200 OK 404 Not Found 401 Unauthorized
Compute
POST /compute/instances Launch a new instance
Body Parameters
image_id string required OS image identifier (e.g. ubuntu-22.04-lts)
type string required Instance type (e.g. vc2-1c-1gb, vc2-4c-8gb)
region string required Deployment region
ssh_keys array List of SSH key IDs to inject
user_data string Cloud-init script (base64 encoded)
Response
{
  "instance": {
    "id": "ins_07fkx92mp",
    "status": "provisioning",
    "type": "vc2-2c-4gb",
    "region": "eu-west-1",
    "ip_address": null// assigned on boot
    "vcpus": 2,
    "ram_mb": 4096,
    "disk_gb": 80,
    "created_at": "2026-08-30T09:12:44Z"
  }
}
201 Created 400 Bad Request 401 Unauthorized
GET /compute/instances/{instance_id} Get instance details
Path Parameters
instance_id string required Unique instance identifier
200 OK 404 Not Found